package scraper

import (
	"fmt"

	"github.com/spf13/viper"

	"git.amok.space/yevhen/resource-scraper/internal/db"
	"git.amok.space/yevhen/resource-scraper/pkg/handler"
	"git.amok.space/yevhen/resource-scraper/pkg/repository"
	"git.amok.space/yevhen/resource-scraper/pkg/service"
	"git.amok.space/yevhen/resource-scraper/types/constant"
)

func Bootstrap() {
	//https://ahmadrosid.com/blog/how-to-query-html-dom-in-golang

	dbase := db.New()
	repos := repository.New(dbase)
	services := service.New(repos)
	handlers := handler.New(services)

	switch viper.GetString("role") {
	case constant.RoleConsole:
		fmt.Printf("init console console: %s\n", handlers.InitConsole())
		break
	case constant.RoleWeb:
		fmt.Printf("who: %s\n", handlers.InitRoutes())
		///http.Run()
		break
	}
}
