package handler

import (
	"github.com/spf13/viper"

	"git.amok.space/yevhen/resource-scraper/pkg/service"
	"git.amok.space/yevhen/resource-scraper/types/constant"
)

type Handler struct {
	services *service.Service
}

func New(services *service.Service) *Handler {
	return &Handler{services: services}
}

func (h *Handler) InitConsole() string {
	switch viper.GetString(constant.CfgKeyScopeEnable) {
	case constant.ScopeRuTracker:
		return h.rutracker()
	case constant.ScopePrescene:
		return h.prescene()
	}

	return "no scope chosen"
}

func (h *Handler) InitRoutes() string {
	//TODO:
	return "i am the web initiator"
}
